.page-body {
    width: 1280px;
    margin: 0 auto;
}

.page-header {
    width: 1280px;
}

.header-logo-link {
    color: #000000;
    font-style: normal;
    font-weight: normal;
    width: 334px;
    font-size: 80px;
    line-height: 94px;
    display: flex;
    align-items: flex-end;
    text-align: center;
}

.color-accent {
    color: #4bcaff;
}

.top-menu {
    list-style-type: none;
    background-color: #35444f;
    width: 1280px;
    padding-left: 162px;
    padding-right: 133px;  
}

.top-menu-item {
    display: inline-block;
    border-right: 1px solid #ffffff;
    padding-top: 26px;
    padding-bottom: 19px;
}

.top-link {
    color: #ffffff;
    text-decoration: none;
    font-style: normal;
    font-weight: normal;
    font-size: 24px;
    line-height: 28px;
} 

.top-link.programming {
    padding-left: 32px;
    padding-right: 32px;
    width: 266px;
    border-left: 1px solid #ffffff;
    padding-top: 26px;
    padding-bottom: 19px;
}

.top-link.ramda {
    padding-left: 38px;
    padding-right: 38px;
    width: 77px;
}

.top-link.ramda:hover {
    background: #222f3a;
    padding: 26px 38px 19px 38px;
    width: 153px;
}

.top-link.landspec {
    padding-left: 40px;
    padding-right: 40px;
    width: 204px;
}

.top-link.nodejs {
    padding-left: 40px;
    padding-right: 18px;
    width: 163px;
}

.page-main {
    display: flex;
}

.page-article {
    display: inline-block;
    margin-top: 48px;
}

.topmainimg {
    width: 885px;
    height: 529px;
    border: 1px solid #000000;
    background: rgba(0, 0, 0, 0.0001);
}

.first-subtitle {
    width: 885px;
    margin-top: 37px;
    margin-bottom: 34px;
    font-style: normal;
    font-weight: normal;
    height: 120px;
    font-size: 18px;
    line-height: 24px;
    color: #2c2c2c;
}

.second-subtitle {
    width: 885px;
    font-style: normal;
    font-weight: normal;
    height: 109px;
    font-size: 18px;
    line-height: 24px;
    color: #2c2c2c;
}

.left-menu{
    border: 1px solid #000000;
    width: 344px;
    background: rgba(0, 0, 0, 0.0001);
    height: 399px;
    text-decoration: none;
    margin-right: 52px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin-top: 48px;
}

.left-menu-item {
    list-style-type: none;
}

.left-menu-item.ramda {
    width: 106px;
    margin-right: 194px;
    margin-bottom: 52px;
    margin-top: 26px;
    color: #485863;
    font-style: normal;
    font-weight: normal;
    font-size: 27px;
    line-height: 27px;
}

.left-menu-item.whyramda {
    width: 226px;
    margin-right: 78px;
    color: #35444f;
    font-style: normal;
    font-weight: normal;
    font-size: 27px;
    line-height: 27px;
}

.left-menu-item.different {
    width: 220px;
    margin-top: 52px;
    margin-right: 82px;
    margin-bottom: 52px;
    color: #495863;
    font-style: normal;
    font-weight: normal;
    font-size: 27px;
    line-height: 27px;
}

.left-menu-item.intro {
    width: 179px;
    margin-right: 121px;
    margin-bottom: 52px;
    color: #495863;
    font-style: normal;
    font-weight: normal;
    font-size: 27px;
    line-height: 27px;
}

.left-menu-item.philosophy {
    width: 153px;
    margin-right: 147px;
    margin-bottom: 30px;
    color: #495863;
    font-style: normal;
    font-weight: normal;
    font-size: 27px;
    line-height: 27px;
}

.page-footer {
    background: rgba(99, 105, 110, 0.48);
    width: 1280px;
    display: flex;
    align-items: center;
    margin-top: 54px;
}

.footer-menu {
    list-style-type: none;
    width: 875px;
    display: flex;
    margin-left: 40px;
    align-items: center;
    justify-content: space-between;
}

.footer-menu-link {
    font-style: normal;
    font-weight: normal;
    font-size: 28px;
    line-height: 28px;
    color: #0c1927;
}

.footer-menu-link.whyramda:hover {
    color: #3181a6;
    border-bottom: 1px solid #3181a6;
}

.copyright-text {
    display: flex;
    align-items: center;
    width: 190px;
    margin-right: 40px;
    margin-left: 135px;
    font-style: normal;
    font-weight: normal;
    font-size: 24px;
    line-height: 24px;
    color: #010101;
}
